Welcome!

Welcome to the SoftBear help-system. This documentation has been written to help you get answers to some of the questions you may have about Pardon.

If you can't find what you're looking for here, don't hesitate to contact SoftBear Support. SoftBear Support is available by clicking here.

Copyright © 2000 SoftBear
url: http://www.softbeartech.com
e-mail: support@softbeartech.com


What is Pardon?

Pardon is the equalent of a written dictionary, right there on your computer! Dictionaries in many interesting languages are freely available, and more are released regularly. Come on, how often do you have time to look up unknown words in a regular dictionary -- probably not often. With Pardon it only takes milliseconds!

Advantages over a regular written dictionary:

  • Many times faster
  • Always available
  • Easily updateable
  • Customizable
  • Free!

    Yes, we know there are several other dictionary programs available for the PC. But look at the prices for these, how much are you willing to spend on a dictionary? Pardon is completely free, and is equally good or better than many of the commercial packages. In addition to extensive dictionaries, Pardon offers good documentation, powerful search-capabilities, recommended links for further learning, vocabulary training, and free support if you're stuck!

    Welcome to the world of Pardon!


License terms and distributions

License terms and distribution

Please read this agreement before proceeding with use of the software. By using this program, you agree to be bound by the terms of this agrement.

Copyright statement

This software and the accompanying documentation is protected under both Norwegian and International copyright laws and treaty provisions.

Tamperation, alteration or any other form of reverse-engineering on this software is strictly forbidden.

Third party links

As an extra service to the user, SoftBear provides a small collection of recommended hyperlinks for each language represented. SoftBear has no control of the content on these pages, and is not responsible for their content in any way. The rights for these pages belong to their respective copyright-owners. The authors of these pages is not in any way affiliated with SoftBear.

Distribution

You may distribute a fully unaltered original version of this software to friends and colleagues, but you must include all files in the original distribution. If you would like to include this program on a cover-cd in a magazine, as a supplemental item to a book or any other media, please contact us before you do.

Reviews

Software reviewers must always check our Web-site for the latest available version. Please send us a copy of your review (entire magazine, photocopy or other method - anything is welcome).

LIMITED WARRANTY

THIS PROGRAM IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE. IN NO EVENT WILL THE AUTHOR(S) BE LIABLE TO YOU FOR ANY DAMAGES, INCLUDING INCIDENTAL OR CONSEQUENTIAL DAMAGES, ARISING OUT OF THE USE OF THE PROGRAM, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

YOU ACKNOWLEDGE THAT YOU HAVE READ THIS LICENSE, UNDERSTAND IT AND AGREE TO BE BOUND BY ITS TERMS AS THE COMPLETE AND EXCLUSIVE STATEMENT OF THE AGREEMENT BETWEEN US, SUPERSEDING ANY PROPOSAL OR PRIOR AGREEMENT, ORAL OR WRITTEN, AND ANY OTHER COMMUNICATIONS BETWEEN US RELATING TO THE SUBJECT MATTER OF THIS LICENSE.

Copyright © 2000 SoftBear


What do users think?

Pardon has received much positive feedback, both from software reviewers and regular users. Feel free to mail us your own comments and thoughts!

Software Reviews

"...excellent help for foreign travelers, foreign language students, or anyone else..."
- Tucows.com

...an excellent reference tool...
...the fastest translation tool I've yet to come across...
- RocketDownload.com

- j.ello report

- ZDNet

Users comments

"Keep up the good work!"
- Raymond, Trinidad and Tobago

"THAT'S GREAT!"
- Dhlee, Korea

"Congratulations!"
Gilson, Brazil

"Very Nice! Thank you!"
David, USA

"Terrific!"
Graham, New Zealand

"Awesome utility!"
Hans Jorgen, Denmark

"One of the best dictionaries I've ever seen"
- Jacó, Brazil

Feel free to send us your comments and thoughts about Pardon!


Payment and licensing

Pardon is freeware. That means it is free for personal use. But if you like and use it a lot, a $10 payment is deeply appreciated. We used a lot of time making Pardon the way it is today, and your contribution will help future development. So please consider it.

Companies who wish to use Pardon must purchase licenses to do so. If you are interested in company licensing, please contact us at support@softbeartech.com. Quantity discounts are given for over 10 licenses. Pricing information can be obtained from the e-mail adress above.

If you're going to register Pardon, please visit the online version of this page to ensure that the information is complely up to date. If you wish to go to the online version, please click here.

How do I pay?

You have several options to use to pay for Pardon. Just use the one most convinient for you. If you wish to use an alternate method, please see the bottom of this file.

Online registration

SoftBear has teamed up with RegNow.com to offer a Web-based registration system. You can pay with all major Credit Cards. This method is a lot safer than sending money or cheques over regular mail. The registration is handled over a secure, encrypted connection for maximum security.

To pay at RegNow.com, please click the link below:
https://www.regnow.com/softsell/nph-softsell.cgi?item=4206-1

Telephone and fax

Telephone and fax payments is also available. Please note that telephone payments cost $3.00, and fax payments $2.50 each. Please specify that you wish to buy Pardon, id number 4206-1. The numbers is listed below.

Telephone
Toll Free: 877-353-7297
Regular (International): 425-392-2294

Fax
Toll Free: 888-353-7276
Regular (International): 425-392-0223

Cheque

To pay via cheque, please make it payable to Register Now, and mail it to the adress shown below. Please note that EuroChecks are not accepted.

Register Now!
Dept# 4206-1
PO Box 1816
Issaquah, WA 98027
United States of America

Alternate payment methods

If you wish to pay using another method, please contact SoftBear Support on support@softbeartech.com


Loading a dictionary

Loading dictionaries

To be able to use a dictionary, you must first load it. This is a extremely simply procedure, which is described below:

Click Dictionary, Select... or press Ctrl+E

Select the dictionary you want in the list

Click OK

-or-

Select one of the recently used dictionaries in the Main screen.


Searching for words

Searching dictionaries

Pardon makes it easy and fast to find the words you're looking for. The program uses an alphabetical and logic search-technique, which lists the words beginning with the characters you have typed. For example, if you type car in the English -> French dictionary, you will get the translations for car, carafe, carbon, carbonated and carbonization.

It is important to remember that Pardon lists all words beginning with the characters typed. So, a too broad search like just a will return a huge number of words. Pardon limits the list based on your set number of maximum hits. This option is set to 100 hits by default, but can be changed in the settings dialog. Remember, though, that ploughing through a list of 500 words is generally very useless and time consuming.

Therefore, you should type as much as you know about the word you're looking for, so Pardon can narrow the search a bit more, and present as few words as possible. Pardon will narrow in the list as long as you type (the time delay can be changed in the settings dialog).

To search international dictionaries, you may require special characters such as umlauts or circumflexes. You can of course type these directly on your keyboard, if you have them available. But Pardon has a built-in QuickAccent system which enables you to type codes which is translated by the program before search. See the QuickAccent reference here. You can also right-click in the text-box and click Character Map to open up the Windows Character Map program.


Download more dictionaries

We release new and updated dictionaries regularly. These appear for download on our Web site as soon as they are released. To download these, use the download function from Dictionary, Download or on the main screen. You can also go to our Download Center via the Internal browser. Simply open it up by clicking Internet and then clicking Download components

To access more dictionaries on the Internet to the following:

Click Dictionary, Download...

Click yes in the dialog-box.

-or-

Click on Internet in the main window, or press Ctrl+3

Click Download components


Keyboard shortcuts

All functions in Pardon can be controlled by keyboard, both to enable users without a mouse to use it, and to speed up the use for the regular user. All keyboard commands are similar to the ones used for the same functions in most other programs available for Windows.

Dictionary

Arrow down - Moves one item down in a dictionary
Arrow up - Moves one item up in a dictionary
Page Down - Moves a screen down in a dictionary
Page Down - Moves a screen up in a dictionary
Ctrl+F4 - Closes the dictionary

Search field

Arrow left - Moves one character left
Arrow right - Moves one character right
Home - Moves to the start
End - Moves to the end
Backspace - Deletes the previous character
Delete - Deletes the following character
Enter - Deletes the entire content

Clipboard

Ctrl+C - Copies the selected text to clipboard
Ctrl+V - Inserts the contents of the clipboard

Windows

Ctrl+1 - Switches to main window
Ctrl+2 - Switches to dictionary window
Ctrl+3 - Switches to Internal Browser
Alt+Tab - Toggles focus between windows
Alt+F4 - Exits Pardon

Specific

F1 - Help
F10 - Recommended links dialog
Ctrl+E - Select dictionary


International characters

Special characters

Since there are several international dictionaries available, Pardon has built-in support for many international characters. You can of course type these on the keyboard the regular way, if you have them available. You can also use the QuickAccent system to type codes which is transformed to characters before search.

The QuickAccent system is built up of a few characters which transforms the next character into a special character. For example, the period (.) adds an umlaut to the top of the character following. These are called character enhancers.

Click here for an overview over the character enhancers in the QuickAccent system.


Special characters

Character enhancers

This is a list of the special character enhacers that perform special functions in the QuickAccent system built in Pardon. Type these characters in front of another character in the search-box and the characters are automatically altered. E.g. If you type "-o", it is automatically transformed to "õ"

. (period) | Adds an umlaut (¨) to the next character
/ (backslash) | Adds an acute (´) to the next character
\ (slash) | Adds a grave (`) to the next character
- (hyphen) | Adds a tilde (~) to the next character
< (less than) | Adds a circumflex (^) to the next character
= (equals) | Access special versions of characters (A -> Å)


Main window

Pardon's main window is where most of your actions will be performed. This window is used to search dictionaries and to use the Internal browser. It offers quick access to all other features of the program.

Most functions can be accessed by using the menu line on the top. The most used functions are also available on the Welcome Screen. The Welcome Screen is the area between the menu line at the top, and the status bar at the bottom. After you have used Pardon a few times, you'll find that this combination is both intuitive and practical.

There are three different views of the main window; main screen, dictionary and Internet. You can switch between these by using the tabs at the top. Pardon will automatically switch views when you load and close dictionaries.

To find out how to use specific features, consult the other parts of this help-file describing how to use the individual items.


Select dictionary

Use this dialog to select which dictionary you want to use. Select the dictionary you want in the list and click OK to load it, or click Cancel to close the dialog without loading any dictionaries.


Recommended links

The Internet is propped full of information about languages and countries. Some of this may interest you, and we have therefore collected a small collection of links you might like. If you have a dictionaries open, the links will be about the language currently open. If you do not have a dictionary open, you will see general links.

Use the drop-down list on the top to select a language you wish to have more information about.

Simply select the site you wish to take a look at in the list, and click Open to launch and point your web-browser to the selected location. Press Close to close the dialog window.

Important!

SoftBear has no control over these pages, and is not responsible for their content in any way. All rights belong to their respective copyright-owners. If you wish to report non-functioning links, inapropriate material, adress changes or new links, please send an e-mail to support@softbeartech.com.


Vocabulary Practice

Tired of reading pages up and pages down of words, just to learn the words properly for a vocabulary examination the next day? Well, it doesn't have to be so boring and time-consuming to expand your vocabulary!

Pardon has it's own vocabulary practice system. You simply choose the words you wish to practice on, and hit a button. Pardon will display one word at a time, and you enter the word in a text-box. Progress and results are displayed clearly, and Pardon will comment your results.

Vocabulary List

Before you can start your test, you'll need to assemble a list of the words you wish to train on. This is done in this window. To add words manually, simply type the original word in the language 1 text-box, the translation in the language 2 text-box, and click add.

You can also load a list of words by clicking on the load button and selecting the file which contains the desired words. You can save the contents of the list by clicking the save button, and specifying a filename. These lists can then be loaded later using the load procedure above.

To edit words already in the list, doubleclick the applicable entry in the list, and it will appear in the text-boxes. Edit the words to the desired values, and click update to update the list. To delete a word from the list, select it in the list and click delete. To clear all values from the list, click clear.

If you wish to test yourself fully, you should click the hide list checkbox to stop the words from being displayed, and then click the randomize to sort the words in a random pattern.


Settings

Pardon is highly configurable, so you can customize it to fit your need exactly. This is want you want to do in this window. This dialog is made up of several parts. These are accessed using the bar at the left side. What the settings in these individual parts do, is described below.

After you are done, click OK to close the window and apply all the chosen settings, or click Cancel to close the window without applying the settings.

General

Search delay

Use this setting to set the delay Pardon waits for further input until it starts to search for the word. An average user should set this to 0,5 seconds (Medium typer). If you have a fast computer (Pentium 133 Mhz or higher) you can set this setting to Instant Search because there is no significant delay when the program searches, so you will see the list updating as you type.

QuickAccent

If you check this checkbox, the built-in international character support will be disabled. This setting should only be used for extremely slow computers, as it only speeds up the search marginally.

Dictionary

Maximum matches

Use this slider to specify how many hits Pardon should display before it stops to search for more words. Again, if you have a slow computer you should set this setting to a low value. Remember that it's no point in going through a list of 500 words, so you should set this as low as possible and search as accurate as possible instead.

Results

Use these settings to enhance the presentation of the matches found. If you use Windows 98 or Internet Explorer 4 or higher with Single Clicking enabled, you might want to enable Use Web Style. This setting will make all the matches be automatically underlined and highligthed when your mouse moves over them. Auto Expand results makes the results expand to show both the word and the translation automatically. This is the same as if you click the + sign beside the word, or the + on the top.

Layout

This section allows you to alter the layout and looks for the program. Click on the element for which you want edit the settings, and then adjust the values by using the buttons at the bottom.

Security

These settings allow you to block certain parts of Pardon if you want maximum security and privacy.

If you have no Internet Connection, you might want to check the Force Offline option to stop Pardon from connecting to the Internet.

Check Disable Internal Browser if you have problems with the internal browser. Pardon will not attempt to load it while this box is checked.

Pardon reports basic anonymous usage information over the Internet to allow us to keep statistics. The data is sent completely anonymous, and cannot be tracked back to you in any way. The information includes how many times you've run Pardon and similar. If you don't want Pardon to transmit this information, uncheck the Allow anonymous usage reporting check-box.

Presets

Presets are files containing confirguration settings for Pardon. They can set the layout and all other settings you can.

When you load a plugin, you might get a warning message from Windows asking if you wish to save the values to registry. You can safely answer yes to this.

After a preset is loaded, the rest of the settings dialog is blocked to prevent you from overwriting the settings set by the preset. The next time you open the Settings dialog again, everything will be enabled and back to normal.


About

Use this dialog to access the version number, copyright information and credits for the program. There's even a small surprise in there for you if you can find it. A small musical masterpiece is waiting for you. Where oh where can it be?

Good luck!


Command-line arguments

If you want to disable certain parts of Pardon or change its' look and behaviour already from startup, you can run it with some command-line arguments. Instruction on how to use command-line arguments is found in the Windows documentation that came with your system. You can specify more than one argument by separating them with spaces.

Pardon accepts the following arguments:

/nosettings disables the Settings item on the file menu. Use this option to keep unwanted changes to the programs' settings. Most public places will want to have this option disabled to keep people from changing the preferences.

/noexit keeps people from closing the program. This is useful if you have a computer for the sole purpose of running Pardon. This disables the appropriate choice in the File menu and the close button in the title-bar.

/load <filename> can be used to load a dictionary from the command-line. Specify a dictionary with full path name directly after this command.


Developing for Pardon

Pardon can be remotely controlled from external applications. To find more information about this, and many other interesting topics for developers programming for Pardon, please visit the SoftBear Developer Network at our Web-site. Click here to open our Web-site.

If you have any questions, please send an e-mail to support@softbeartech.com

Good luck!


What if I get an error?

As in most computer programs, errors can occur. If an error occurs, you will be notified with a message box telling you what kind of error happened and what to do. If you need technical support you should tell us this message and what caused it (what you did before the error occured).

You should first try to solve the problem yourself, by doing what the message tells you to do. Almost all errors can be fixed by reloading the dictionary, restarting Pardon, or restarting Windows. If the problem persists - then please contact SoftBear Support. Remember to include the full message and a description of what you did before the error occured. This information will help us diagnose and repair it.